<template>
  <div>
    <div class="main-page">
      <section class="section-1">
        <div class="icon-container">
          <div class="text">
            <div>The place where you can find <span>YOUR</span> events</div>
          </div>
          <div class="image">
            <img width="100%" height="100%" src="@/assets/events.svg" alt="">
          </div>
        </div>
      </section>
      <section class="section-2">
        <div>
          <div class="icon">
            <img src="@/assets/productivity.svg" width="100%" height="100%"  alt="">
          </div>
          <div class="container">
            <div class="head">Browse</div>
            <div class="desc">
              <div>Start finding interesting events </div>
              <span class="under">right now</span>
            </div>
            <div @click="$router.push('/events')" class="body rtrLnk">
              Go to events
            </div>
          </div>
        </div>
      </section>
      <section class="section-3">
        <div class="content-container">
          <div class="content">
          <div class="content__left">
            <div>
              <div class="head">About Eventapp</div>
              <div class="body">
                <div>Our country have many <span>unreal places</span> that people did not even know about.</div>
                <!-- <div>And we are going to show it for free!</div> -->
              </div>
            </div>
            <div class="more"></div>
          </div>
          <div class="content__right">
            <!-- <div class="avatar"><img width="100%" height="100%" src="@/assets/aidos.jpg" alt="avatar"></div>
            <div class="text-container">
              <div class="name">Aidos Rustem</div>
              <div class="text">I want to make my contribution for humanity so that it evolves faster</div>
            </div>
            <div class="more"></div> -->
            <img src="@/assets/traveling.svg" height="100%" alt="">
          </div>
        </div>
        </div>
      </section>
      <section class="section-4">
        <div class="head">What people are saying about us</div>
        <div class="comments-container">
          <div class="comment">
            <div class="avatar-container">
              <div class="avatar">
                <img src="@/assets/stock-person-1.jpeg" alt="">
              </div>
            </div>
            <div class="info-container">
              <div class="content">I got the best date with this site.</div>
              <div>
                <div class="username">aibek ernazarov</div>
                <div class="user-status">Active user</div>
              </div>
            </div>
          </div>
          <div class="comment">
            <div class="avatar-container">
              <div class="avatar">
                <img src="@/assets/stock-person-2.jpeg" alt="">

              </div>
            </div>
            <div class="info-container">
              <div class="content">I've been on this site for a couple of months now, the site is very effective. Now I no longer waste time how to spend my weekend and where to go.</div>
              <div>
                <div class="username">ALmas sagimov</div>
                <div class="user-status">Active user</div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>

  </div>
</template>
<script>
export default {
  name: 'MainPage'
}
</script>
<style lang="scss" scoped>
.main-page {
  text-align: start;
  .section-1 {
    background: #E8F0FF;
    height: calc(100vh - 150px);
    padding: 30px 32px;
    display: flex;
    justify-content: center;
    // border-bottom: #ff6392 5px solid;

    .icon-container {
      max-width: 1200px;
      width: 100%;
      display: flex;
      justify-content: space-between;
    }

    .text {
      max-width: 500px;
      width: 100%;
      display: flex;
      align-items: center;
      font-weight: 600;
      font-size: 50px;
      color: #2c3e50;

      span {
        border-bottom: 8px solid #ff6392;
      }
    }

    .image {
      max-width: 500px;
      width: 100%;
    }

    &__left {
      max-width: 835px;
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      height: 100%;
    }
    &__right {
      max-width: 605px;
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }
    .head {
      font-family: $base_font;
      font-weight: normal;
      font-size: 32px;
      line-height: 43px;
      margin-bottom: 27px;
    }
    .body {
      font-family: $second_font;
      font-style: normal;
      font-weight: normal;
      font-size: 15px;
      line-height: 22px;
      margin-right: 50px;
    }
    .more {
      font-family: $second_font;
      font-style: normal;
      font-weight: normal;
      font-size: 12px;
      line-height: 14px;
      letter-spacing: 0.25em;
      width: 100%;
      text-transform: uppercase;
      margin-top: 20px;
    }
  }

  .section-2 {
    width: 100%;
    display: flex;
    justify-content: center;
    height: 100vh;
    & > div {
      max-width: 1200px;
      width: 100%;
      justify-content: space-between;
      display: flex;
    }
    .container {
      max-width: 1200px;
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: flex-end;
      justify-content: center;
    }
    .head {
      display: flex;
      justify-content: flex-end;
      font-size: 50px;
      margin-bottom: 20px;
    }
    .desc {
      margin-bottom: 40px;
      font-size: 32px;
      text-align: end;
      .under {
        border-bottom: #ff6392 5px solid;
      }
    }
    .body {
      cursor: pointer;
      display: flex;
      justify-content: flex-end;
      padding: 20px 30px;
      font-size: 30px;
      background: #ff6392;
      margin-bottom: 20px;
    }
  }

  .section-3 {
    height: 450px;
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 100px;
    background: #E8F0FF;
    .content-container {
      max-width: 1200px;
      width: 100%;
      display: flex;
    }
    .content {
      // max-width: 970px;
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: space-between;
      // border: #ff6392 5px solid;

      &__left {
        max-width: 700px;
        width: 100%;
        padding: 30px 50px 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        height: 100%;
        box-sizing: border-box;

        .head {
          font-family: $base_font;
          font-weight: normal;
          font-size: 50px;
          color: #2c3e50;
          margin-bottom: 20px;
        }
        .body {
          font-family: $second_font;
          font-style: normal;
          font-weight: normal;
          font-size: 32px;
          color: #222222;
          & span {
            border-bottom: #ff6392 5px solid;
          }
        }
        .more {
          font-family: $second_font;
          font-style: normal;
          font-weight: normal;
          font-size: 12px;
          line-height: 14px;
          letter-spacing: 0.25em;
          text-transform: uppercase;
          color: #333333;
        }
      }
      &__right {
        margin: 48px 50px 48px 0;
        // background: #fff;
        height: 321px;
        align-items: center;
        width: 332px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        box-sizing: border-box;
        padding: 0 30px;
        position: relative;
        // border: #ff6392 5px solid;

        .avatar {
          border-radius: 100px;
          // position: absolute;
          left: 50%;
          width: 120px;
          height: 120px;
          // transform: translate(0, 30%);
          border: #ff6392 5px solid;
          img {
            border-radius: 50%;
          }
        }
        .text-container {
          display: flex;
          flex-direction: column;
        }
        .name {
          font-family: $base_font;
          font-weight: normal;
          font-size: 20px;
          line-height: 27px;
          text-align: center;
          margin-top: 20px;
        }
        .text {
          font-family: $second_font;
          font-style: normal;
          font-weight: normal;
          font-size: 15px;
          line-height: 24px;
          text-align: center;
          margin-top: 16px;
        }
        .more {
          font-family: $second_font;
          font-style: normal;
          font-weight: normal;
          font-size: 12px;
          line-height: 14px;
          text-align: center;
          letter-spacing: 0.25em;
          text-transform: uppercase;
          margin-bottom: 40px;
        }
      }
    }
  }

  .section-4 {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-bottom: 100px;
    .head {
      font-family: $base_font;
      font-weight: normal;
      font-size: 32px;
      line-height: 43px;
      text-align: center;
      margin-bottom: 60px;
    }

    .comments-container {
      display: flex;
      max-width: 1110px;
      width: 100%;
      justify-content: space-between;

    }

    .comment {
      max-width: 500px;
      width: 100%;
      display: flex;
      justify-content: space-between;

      .avatar-container {
        max-width: 100px;
        width: 100%;
        .avatar {
          width: 100px;
          height: 100px;
          border-radius: 50%;
          overflow: hidden;
          text-align: center;
          object-fit: cover;
          background: #E8F0FF;

          img {
            width:100%;
            height:100%;
            object-fit: cover;
          }
        }
      }
      .info-container {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        height: 208px;
        max-width: 372px;
        width: 100%;
        .content {
          font-family: $base_font;
          font-weight: normal;
          font-size: 19px;
          line-height: 25px;
        }
        .username {
          font-family: $second_font;
          font-style: normal;
          font-weight: normal;
          font-size: 14px;
          line-height: 17px;
          letter-spacing: 0.25em;
          text-transform: uppercase;
          margin-bottom: 11px;
          border-bottom: 0.4em solid #ff6392;
        }
        .user-status {
          font-family: $second_font;
          font-style: normal;
          font-weight: normal;
          font-size: 14px;
          line-height: 17px;
        }
      }
    }
  }
}
</style>
